Package net.snowflake.client.core

## Class JsonSqlOutput

- java.lang.Object
- - net.snowflake.client.core.JsonSqlOutput

All Implemented Interfaces:
  `SQLOutput`

    public class JsonSqlOutput
    extends Object
    implements SQLOutput

### Constructor Summary

Constructors
`JsonSqlOutput​(SQLData original, SFBaseSession sfBaseSession)`

### Method Summary

All Methods Instance Methods Concrete Methods
`net.minidev.json.JSONObject` `getJsonObject()`
`String` `getJsonString()`
`BindingParameterMetadata` `getSchema()`
`void` `writeArray​(Array x)`
`void` `writeAsciiStream​(InputStream x)`
`void` `writeBigDecimal​(BigDecimal value)`
`void` `writeBinaryStream​(InputStream x)`
`void` `writeBlob​(Blob x)`
`void` `writeBoolean​(boolean value)`
`void` `writeByte​(byte value)`
`void` `writeBytes​(byte[] value)`
`void` `writeCharacterStream​(Reader x)`
`void` `writeClob​(Clob x)`
`void` `writeDate​(Date value)`
`void` `writeDouble​(double value)`
`void` `writeFloat​(float value)`
`void` `writeInt​(int input)`
`void` `writeLong​(long value)`
`void` `writeNClob​(NClob x)`
`void` `writeNString​(String x)`
`void` `writeObject​(SQLData sqlData)`
`void` `writeRef​(Ref x)`
`void` `writeRowId​(RowId x)`
`void` `writeShort​(short value)`
`void` `writeSQLXML​(SQLXML x)`
`void` `writeString​(String value)`
`void` `writeStruct​(Struct x)`
`void` `writeTime​(Time x)`
`void` `writeTimestamp​(Timestamp value)`
`void` `writeURL​(URL x)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.SQLOutput

`writeObject`

### Constructor Detail

#### JsonSqlOutput

    public JsonSqlOutput​(SQLData original,
                         SFBaseSession sfBaseSession)

### Method Detail

#### writeString

    public void writeString​(String value)
                     throws SQLException

Specified by:
  `writeString` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeBoolean

    public void writeBoolean​(boolean value)
                      throws SQLException

Specified by:
  `writeBoolean` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeByte

    public void writeByte​(byte value)
                   throws SQLException

Specified by:
  `writeByte` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeShort

    public void writeShort​(short value)
                    throws SQLException

Specified by:
  `writeShort` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeInt

    public void writeInt​(int input)
                  throws SQLException

Specified by:
  `writeInt` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeLong

    public void writeLong​(long value)
                   throws SQLException

Specified by:
  `writeLong` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeFloat

    public void writeFloat​(float value)
                    throws SQLException

Specified by:
  `writeFloat` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeDouble

    public void writeDouble​(double value)
                     throws SQLException

Specified by:
  `writeDouble` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeBigDecimal

    public void writeBigDecimal​(BigDecimal value)
                         throws SQLException

Specified by:
  `writeBigDecimal` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeBytes

    public void writeBytes​(byte[] value)
                    throws SQLException

Specified by:
  `writeBytes` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeDate

    public void writeDate​(Date value)
                   throws SQLException

Specified by:
  `writeDate` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeTime

    public void writeTime​(Time x)
                   throws SQLException

Specified by:
  `writeTime` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeTimestamp

    public void writeTimestamp​(Timestamp value)
                        throws SQLException

Specified by:
  `writeTimestamp` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeCharacterStream

    public void writeCharacterStream​(Reader x)
                              throws SQLException

Specified by:
  `writeCharacterStream` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeAsciiStream

    public void writeAsciiStream​(InputStream x)
                          throws SQLException

Specified by:
  `writeAsciiStream` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeBinaryStream

    public void writeBinaryStream​(InputStream x)
                           throws SQLException

Specified by:
  `writeBinaryStream` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeObject

    public void writeObject​(SQLData sqlData)
                     throws SQLException

Specified by:
  `writeObject` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeRef

    public void writeRef​(Ref x)
                  throws SQLException

Specified by:
  `writeRef` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeBlob

    public void writeBlob​(Blob x)
                   throws SQLException

Specified by:
  `writeBlob` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeClob

    public void writeClob​(Clob x)
                   throws SQLException

Specified by:
  `writeClob` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeStruct

    public void writeStruct​(Struct x)
                     throws SQLException

Specified by:
  `writeStruct` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeArray

    public void writeArray​(Array x)
                    throws SQLException

Specified by:
  `writeArray` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeURL

    public void writeURL​(URL x)
                  throws SQLException

Specified by:
  `writeURL` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeNString

    public void writeNString​(String x)
                      throws SQLException

Specified by:
  `writeNString` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeNClob

    public void writeNClob​(NClob x)
                    throws SQLException

Specified by:
  `writeNClob` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeRowId

    public void writeRowId​(RowId x)
                    throws SQLException

Specified by:
  `writeRowId` in interface `SQLOutput`
Throws:
  `SQLException`

#### writeSQLXML

    public void writeSQLXML​(SQLXML x)
                     throws SQLException

Specified by:
  `writeSQLXML` in interface `SQLOutput`
Throws:
  `SQLException`

#### getJsonString

    public String getJsonString()

#### getJsonObject

    public net.minidev.json.JSONObject getJsonObject()

#### getSchema

    public BindingParameterMetadata getSchema()